Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.util
Class CountryRegionEnumerator

    java.lang.Object
      com.compoze.util.CountryRegionEnumerator

public class CountryRegionEnumerator
extends java.lang.Object

This class enumerates a list of countries, regions, and their abbreviations. See the properties file associated with this class for more details about its format.

Nested Class Summary
`class` | `CountryRegionEnumerator.Country` This class represents a country.
`class` | `CountryRegionEnumerator.Region` This class represents a region.

Method Summary
`java.util.TreeMap` | `getCountries()` Get all of the countries.
`CountryRegionEnumerator.Country` | `getCountryByAbbreviation(java.lang.String sAbbreviation)` Get a country by its abbreviation.
`java.util.TreeMap` | `getRegions(java.lang.String sCountryAbbreviation)` Get all of the regions for a country.
`static CountryRegionEnumerator` | `i()` Get the singleton instance of this class.
`static void` | `main(java.lang.String[] args)` Exerciser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### i

    public static CountryRegionEnumerator i()

  Get the singleton instance of this class.

  Returns:
    the singleton instance of the CountryRegionEnumerator

### getRegions

    public java.util.TreeMap getRegions(java.lang.String sCountryAbbreviation)

  Get all of the regions for a country.

  Parameters:
    `sCountryAbbreviation` - the abbreviation of the country
  Returns:
    the tree map of regions (Country objects)

### getCountries

    public java.util.TreeMap getCountries()

  Get all of the countries.

  Returns:
    the tree map of countries (Country objects)

### getCountryByAbbreviation

    public CountryRegionEnumerator.Country getCountryByAbbreviation(java.lang.String sAbbreviation)

  Get a country by its abbreviation.

  Parameters:
    `sAbbreviation` -
  Returns:
    the country

### main

    public static void main(java.lang.String[] args)

  Exerciser.

  Parameters:
    `args` - arguments to exerciser

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.